Bug? Cannot select arduino.exe

Mark Read

Well-Known Member
Licensed User
Longtime User
After installing B4R, it is required to set the path to arduino.exe. In the dialog window, a filter is set so only this file can be selected.

Unfortunately, in the version 2.0.3, the arduino file is called Arduino IDE.exe, which means it cannot be selected.

Two possibilites: Rename the arduino file (not my preferred selection) or remove the filter in B4R.

I hope Erel will remove the filter. šŸ˜
 

Mark Read

Well-Known Member
Licensed User
Longtime User
Sorry Erel but you have missed the point. The Arduino software has been re-written, has many new features and is faster. Of course it is possible to use 1.8.15, as I do at present when using B4R.

I simply meant, B4X continues to be updated to cope with changes in Google, SDK's etc. SO the filter is outdated. It either needs to be removed or a second filter "*.*" added.

No offence but we don't always have to agree with you, even if you are mostly right!
 

hatzisn

Well-Known Member
Licensed User
Longtime User
Sorry Erel but you have missed the point. The Arduino software has been re-written, has many new features and is faster. Of course it is possible to use 1.8.15, as I do at present when using B4R.

I simply meant, B4X continues to be updated to cope with changes in Google, SDK's etc. SO the filter is outdated. It either needs to be removed or a second filter "*.*" added.

No offence but we don't always have to agree with you, even if you are mostly right!

Why don't you just rename the file?
 

Erel

B4X founder
Staff member
Licensed User
Longtime User
No offence but we don't always have to agree with you, even if you are mostly right!
No offence taken and I completely agree.

What I meant is that for now B4R is compatible with the specific version listed on the downloads page. I don't know whether the different name is the only breaking change. This is something that needs to be checked thoroughly.
 

hatzisn

Well-Known Member
Licensed User
Longtime User
No offence taken and I completely agree.

What I meant is that for now B4R is compatible with the specific version listed on the downloads page. I don't know whether the different name is the only breaking change. This is something that needs to be checked thoroughly.

Indeed the different name is not the only breaking change. I tried to change the name and it did not work. I am sorry @Mark Read for what I proposed.
There is an arduino-cli.exe that can handle everything in the new IDE from the command line:


When ever suits you give it a look (no need to rush - the current configuration with the latest 1.8 version is ok).
 

hatzisn

Well-Known Member
Licensed User
Longtime User
Indeed the different name is not the only breaking change. I tried to change the name and it did not work. I am sorry @Mark Read for what I proposed.
There is an arduino-cli.exe that can handle everything in the new IDE from the command line:


When ever suits you give it a look (no need to rush - the current configuration with the latest 1.8 version is ok).

Here are some examples using the arduino-cli (I post it also for my reference here since link by link I got in this URL):


In order to list fqbn of all boards:

And at last this with a lot of options on how to use it:
 
Last edited:

Core28

Member
For the time being, forget using Arduino IDE v2.x with B4R. It has a completely different architecture than Arduino IDE v1.x.x. I tried it a long time ago, when it first came out. It did not work. It cannot work. And that's what Erel is saying in other words. Stick to v1.x.x.
 
Last edited:
Top